{
        template: '${tmpl}',
                data: function() {
                        return {
                                navs: [
                                        {
                                                img: '/imgs/mobiledeal/nav1.png',
                                                name: '互联网专场'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/nav2.png',
                                                name: '美食专场'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/nav3.png',
                                                name: '美妆专场'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/nav4.png',
                                                name: '服饰专场'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/nav5.png',
                                                name: '全部商标'
                                        },
                                ],
                                flow: [
                                        {
                                                img: '/imgs/mobiledeal/flow1.png',
                                                name: '挑选商标 提交报价'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/flow2.png',
                                                name: '顾问撮合 签署协议'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/flow3.png',
                                                name: '支付定金 办理公证'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/flow4.png',
                                                name: '支付尾款 提交商标局'
                                        },

                                ],
                                advantage: [
                                        {
                                                img: '/imgs/mobiledeal/advantage1.png',
                                                name: '一手标源'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/advantage2.png',
                                                name: '流程省心'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/advantage3.png',
                                                name: '在线公证'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/advantage4.png',
                                                name: '资金安全'
                                        },

                                ],
                                hotArticle: [],
                                demo: [
                                        {
                                                img: '/imgs/mobiledeal/demo1.png',
                                                name: '商标转让证明'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/demo2.png',
                                                name: '商标注册证'
                                        },
                                        {
                                                img: '/imgs/mobiledeal/demo3.png',
                                                name: '商标转让公证书'
                                        },
                                ]
                        }
                },
        mounted: function() {
                /*
                this.$root.titleModify('商标详情');
                */
                this.$root.showmenu();
                this.$indicator.open({
                        text: '加载中...',
                        spinnerType: 'snake'
                });


                this.$root.getReq("/web/trademarktransactionCtl/findAllRecommendTm").then(d => {
                        console.log(d);
                        this.$indicator.close();
                        if (d && d.code == 1) {
                                this.hotArticle = d.data;
                        }
                })
        },
        created: function() {

        },
        computed: {

        },
        watch: {

        },
        methods: {
                goSearch(){
                        this.$router.push({ path: '/mobiledealsearch' });
                },
                goSearchList(i){
                        let type = [];
                        switch (i) {
                                case 0:
                                        type = JSON.stringify([9, 35, 38, 42]);
                                        break;
                                case 1:
                                        type = JSON.stringify([29, 30, 43]);
                                        break;
                                case 2:
                                        type = JSON.stringify([3]);
                                        break;
                                case 3:
                                        type = JSON.stringify([18,25]);
                                        break;
                                case 4:
                                        type = JSON.stringify([]);
                                        break;
                                default:
                                        
                                        break;
                        }

                        this.$router.push({ path: '/mobiledeallist', query: { type } });
                },
                goDetails(i){
                        console.log(i);
                        let data = JSON.stringify(i);
                        this.$router.push({ path: '/mobiledealdetail', query: { data } });
                },
                goMore(){
                        this.$router.push({ path: '/mobiledeallist' });
                }
                /*
                getLoginUser : function (){
                  var self =this;
                  this.$root.postReq("/web/userCtl/loginUser",{}).then(function(d){
                    if(d.status==0){
                      self.loginUser = d.data;
                    }
                  });
                }
                */
        },
        vname: "gsb-mobiledeal"
}
